# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename stream-to-array

Name:               nodejs-stream-to-array
Version:            2.0.0
Release:            1%{?dist}
Summary:            Concatenate a readable stream's data into a single array

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/stream-to-array
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(bluebird)

Requires:           npm(bluebird)

%if 0%{?enable_tests}
BuildRequires:      npm(istanbul)
BuildRequires:      npm(mocha)
%endif


%description
Concatenate a readable stream's data into a single array.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stream-to-array
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/stream-to-array

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec --bail
%endif


%files
%doc README.md
%{nodejs_sitelib}/stream-to-array/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora.
